.blog-main .features {
  padding-top: 160px;
}

.blog-main .container {
  width: 100%;
  max-width: 1200px;
  padding: 0;
}

.blog-main .container p.desc {
  margin-bottom: 80px;
}
.blog-main .features .tabs-container {
  display: flex;
  flex-direction: column;
  gap: 40px;
  width: 100%;
  max-width: 1200px;
}

.blog-main .featureTabs {
  border: 1px solid var(--black);
  border-radius: 4px;
  background-color: var(--white);
  flex-wrap: nowrap;
}
.features .tabs-container .featureTabs .nav-item {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  width: auto;
}

.blog-main .featureTabs.nav-tabs .nav-link {
  /* width: 200px; */
  width: 100%;
  padding: 13px 0;
  margin: 0;
  border: 0;
  border-radius: 4px;
  font-weight: 400;
  font-style: 55 Regular;
  font-size: 16px;
  line-height: 22px;
  letter-spacing: 0px;
  text-align: center;
  color: var(--black);
}

.blog-main .featureTabs.nav-tabs .nav-link.active {
  background-color: var(--black);
  color: var(--white);
}

.feature-tab-content .post-content {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
  width: 100%;
  max-width: 1200px;
  border-radius: 4px;
  overflow: hidden;
}


.post-content .post-item {
  border-radius: 8px;
  border: 1px solid #D8D8D8;
  display: flex;
  flex-direction: column;
}

.post-content .post-item-top {
  width: 100%;
  height: 210px;
  overflow: hidden;
}
.post-content .post-item-top img { 
  width: 100%;
  height: 100%;
  max-height: 210px;
  object-fit: cover;
}
.post-content .post-item-bottom { 
  padding: 16px 16px 20px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.post-content .post-item-bottom .post-title {
  font-weight: 800;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0%;
  color: var(--black);
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  overflow: hidden;
}

.post-content .post-item-bottom .post-item-info {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.post-content .post-item-info .info-content {
  display: flex;
  align-items: center;
  gap: 10px;
}

.post-content .post-item-info .info-content img {
  width: 32px;
  height: 32px;
  border-radius: 100%;
}
.post-content .post-item-info .info-content .info-detail {
  display: flex;
  flex-direction: column;
}
.post-content .post-item-info .info-content .info-detail .info-name { 
  font-weight: 500;
  font-size: 14px;
  line-height: 14px;
  letter-spacing: 0%;
  color: var(--black);
}
.post-content .post-item-info .info-content .info-detail .info-time {
  font-weight: 500;
  font-size: 12px;
  line-height: 12px;
  letter-spacing: 0%;
  color: var(--text);
}

.post-content .post-item-info .info-tag {
  border-radius: 4px;
  background-color: #00DFFF1A;
  font-weight: 500;
  font-size: 12px;
  line-height: 24px;
  letter-spacing: 0px;
  text-align: center;
  color: #00DFFF;
  padding: 0 4px;
}


.blog-bottom {
  width: 100%;
  height: 120px;
  /* padding-top: 80px; */
  position: relative;
}

@media screen and (max-width: 1024px) {
  .feature-tab-content .post-content {
    gap: 20px;
    grid-template-columns: repeat(2, 1fr);
  }
  .blog-bottom {
    height: 100%;
    padding: 0 20px 80px;
  }
}

@media screen and (max-width: 960px) {
  .blog-main .featureTabs {
    display: flex;
    overflow-x: auto;
    flex-wrap: nowrap;
    justify-content: flex-start;
    -webkit-overflow-scrolling: touch;
    border: none;
    background-color: transparent;
    gap: 0;
    scrollbar-width: none;
    -ms-overflow-style: none;
    scroll-snap-type: x mandatory;
    width: 100%;
    justify-content: flex-start;
    scroll-behavior: smooth; /* 添加平滑滚动 */
  }
  .blog-main .featureTabs.nav-tabs .nav-link {
    flex: 0 0 auto;
  }
  .featureTabs::-webkit-scrollbar {
    display: none;
  }

  .blog-main .featureTabs.nav-tabs .nav-link {
    padding: 12px;
    font-size: 14px;
    flex: 0 0 auto;
    width: auto;
    min-width: 160px;
    scroll-snap-align: center;
    background-color: transparent;
    border: none;
    padding: 12px 20px;
    font-size: 16px;
  }

}

@media screen and (max-width: 680px) {
  .feature-tab-content .post-content {
    gap: 20px;
    grid-template-columns: repeat(1, 1fr);
  }
}

@media screen and (max-width: 560px) {
  /* .faq-banner .banner-right .actions {
    flex-direction: column;
  } */
  .faq-banner .banner-right .actions .btn {
    white-space: nowrap;
  }
}